commit:     9dfd560bbfa8908c51c0e1f8e1858de49ae71d5c
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 29 22:44:52 2022 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Mon Aug 29 22:47:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9dfd560b

net-irc/eggdrop: add 1.9.3, EAPI=8

Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 net-irc/eggdrop/Manifest             |  1 +
 net-irc/eggdrop/eggdrop-1.9.3.ebuild | 72 ++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/net-irc/eggdrop/Manifest b/net-irc/eggdrop/Manifest
index 987fe13d9f2d..e07b2f3fb04d 100644
--- a/net-irc/eggdrop/Manifest
+++ b/net-irc/eggdrop/Manifest
@@ -1,2 +1,3 @@
 DIST eggdrop-1.9.1.tar.gz 2271120 BLAKE2B 
73fadeddcebeba5de42328f6f02c05e850e47c19812bc1a868da09f55fd1d297e3596c5a4b167806237554966e7dfbebadcee6215932c56a76b3e67a77d5ee47
 SHA512 
d8907d265f7e22f3bcd3e28b256c5788d5959ad11cc1425d59eb4411ebbc172fe8d90c31fd9f033369ab80cd29a36a5856f6bd32bc6c9cdfedea1d6509ea7f3b
 DIST eggdrop-1.9.2.tar.gz 2296300 BLAKE2B 
ed409896718e45daab2b21c25e7f1a5a2664ef8afec7127943abb3018ce963413e714618ee730ef2c49e4542c6e87377cff405ee36ce91448335adf6c7ab5a8a
 SHA512 
67c8053a79ab5c4c418164e4e12f89a6e111b06b4e6dfdc69c52913b2f3b9a58b065a7601165112071c9ca2a778269aeb95c749a9da787c1932e6471a23146ce
+DIST eggdrop-1.9.3.tar.gz 2046726 BLAKE2B 
979190536c3c0718ef4b030d8f6df817b8ee823854c104b7d6f9009c10a7f8394d59afca40fc5c9778f130788fac7e14458d62d30a55413dea4653ca00c83f0a
 SHA512 
67d6d0f798222e54e09acb319aa4926181c34b6e4cdc2cbb4fc7a8433915a7d6281904fd190fe2ee92bcc2cb99943e3fb5b9d99831cc0bfd930205e63e33d1a1

diff --git a/net-irc/eggdrop/eggdrop-1.9.3.ebuild 
b/net-irc/eggdrop/eggdrop-1.9.3.ebuild
new file mode 100644
index 000000000000..9114a4dc8c97
--- /dev/null
+++ b/net-irc/eggdrop/eggdrop-1.9.3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit readme.gentoo-r1
+
+MY_P="${PN}-${PV/_rc/rc}"
+DESCRIPTION="An IRC bot extensible with C or TCL"
+HOMEPAGE="https://www.eggheads.org/";
+SRC_URI="https://ftp.eggheads.org/pub/eggdrop/source/${PV:0:3}/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_P}"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~riscv ~sparc ~x86"
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="debug doc ipv6 ssl static"
+
+DEPEND="
+       dev-lang/tcl:0=
+       ssl? ( dev-libs/openssl:0= )
+"
+RDEPEND="
+       sys-apps/gentoo-functions
+       ${DEPEND}
+"
+
+DOCS=( AUTHORS FEATURES INSTALL NEWS README THANKS UPGRADING )
+
+src_configure() {
+       econf $(use_enable ssl tls) \
+               $(use_enable ipv6 ipv6)
+
+       emake config
+}
+
+src_compile() {
+       local target
+
+       if use static && use debug; then
+               target="sdebug"
+       elif use static; then
+               target="static"
+       elif use debug; then
+               target="debug"
+       fi
+
+       emake ${target}
+}
+
+src_install() {
+       emake DEST="${D}"/opt/eggdrop install
+
+       use doc && HTML_DOCS=( doc/html/. )
+       rm -r "${D}"/opt/eggdrop/doc/html || die
+       DOC_CONTENTS="
+               Additional documentation can be found
+               in ${EPREFIX}/opt/eggdrop/doc
+       "
+       readme.gentoo_create_doc
+       einstalldocs
+
+       dobin "${FILESDIR}"/eggdrop-installer
+       doman doc/man1/eggdrop.1
+}
+
+pkg_postinst() {
+       # Only display this for new installs
+       if [[ -z ${REPLACING_VERSIONS} ]]; then
+               elog "Please run ${EPREFIX}/usr/bin/eggdrop-installer to 
install your eggdrop bot."
+       fi
+}

Reply via email to